# Reinforcement learning code
This is the code used in the talk "An Introduction to Reinforcement Learning" on 12.10.2016 at the [Graz Machine Learning
Meetup](http://www.mlgraz.at) by Anand Subramoney (anand [at] igi.tugraz.at)


## Requirements

* `gridworld.py` requires the [RLPy](https://rlpy.readthedocs.io/en/latest/) library (which works only with python2.7
currently). Install requirements with:

  ```
  pip install rlpy matplotlib
  ```

* `cartpole_policy_gradient.py` and `pong_policy_gradient.py` both use [OpenAI gym](https://github.com/openai/gym) to
  simulate the cartpole and pong environments respectively, and [Tensorflow](https://www.tensorflow.org) for the
  learning. This code works in Python 3. Install requirements with:

  ```
  pip install tensorflow 'gym[atari]' numpy matplotlib
  ```
